import { NumberValueAccessor } from '@angular/forms';

export interface Partner {
  id: string;
  signinId?: string;
  nickname?: string;
  rank?: string;
  branchCount?: number;
  divisionCount?: number;
  officeCount?: number;
  storeCount?: number;
  memberCount?: number;
  ownMemberCount?: number;
  level?: string;
  calculateType?: string;
  holdingMoney?: number;
  accountHolder?: string;
  phoneNumber?: string;
  ownCharge?: number;
  ownCash?: number;
  ownComp?: number;
  ownCoupon?: number;
  bottomCharge?: number;
  ownExchange?: number;
  bottomExchange?: number;
  ownRevenue?: number;
  bottomRevenue?: number;
  state?: string;
  ip?: string;
  gameMoney?: number;
  todayComp?: number;
  totalDeposit?: number;
  totalWithdraw?: number;
  balance?: number;
  registDate?: string;
  finalSigninDate?: string;
  note?: string;
}
