export interface CouponMoneyLog {
  id: string;
  idx?: number;
  giveCouponId?: string; //  쿠폰지급 해준 아이디
  giveCouponRank?: string; //  쿠폰지급 해준 등급
  takeCouponId?: string; //  쿠폰지급 받은 아이디
  takeCouponRank?: string; //  쿠폰지급 받은 등급
  useCouponId?: string; //  쿠폰사용 아이디
  useCouponRank?: string; //  쿠폰사용 등급
  retrieveCouponId?: string; //  쿠폰 회수 아이디
  retrieveCouponRank?: string; //  쿠폰 회수 등급

  giveCouponBeforeMoney?: number; //  지급자의 이전금액
  giveCouponVarianceMoney?: number; //  지급자의 변동금액
  giveCouponAfterMoney?: number; //  지급자의 이후금액

  takeCouponBeforeMoney?: number; //  받은자의 이전금액
  takeCouponVarianceMoney?: number; //  받은자의 변동금액
  takeCouponAfterMoney?: number; //  받은자의 이후금액

  useCouponBeforeMoney?: number; //  쿠폰사용자의 이전금액
  useCouponVarianceMoney?: number; //  쿠폰사용자의 변동금액
  useCouponAfterMoney?: number; //  쿠폰사용자의 이후금액

  retrieveCouponBeforeMoney?: number; //  쿠폰회수자의 이전금액
  retrieveCouponVarianceMoney?: number; //  쿠폰회수자의 변동금액
  retrieveCouponAfterMoney?: number; //  쿠폰회수자의 이후금액

  couponContents?: string; //  내용
  giveCouponRegistrationDate?: Date; //  지급자의 등록시간
  takeCouponRegistrationDate?: Date; //  받은자의 등록시간
  useCouponRegistrationDate?: Date; //  쿠폰사용자의 등록시간
  retrieveCouponRegistrationDate?: Date; //  쿠폰회수자의 등록시간
}

// issued
// 생성, 발행

// give  -  take
// 쿠폰지급 - 쿠폰지급 받음

// use  -  retrieve
// 쿠폰사용 - 쿠폰회수
